### Method

# Vte Terminal match_add_regex

since: 0.46

#### Declaration [src]

    int
    vte_terminal_match_add_regex (
      VteTerminal* terminal,
      VteRegex* regex,
      guint32 flags
    )

#### Description [src]

Adds the regular expression `regex` to the list of matching expressions. When the user moves the mouse cursor over a section of displayed text which matches this expression, the text will be highlighted.

Note that `regex` should have been created using the PCRE2_MULTILINE flag.

Available since: 0.46

#### Parameters

`regex`

  Type: `VteRegex`

  A `VteRegex`.

  The data is owned by the caller of the method.

`flags`

  Type: `guint32`

  PCRE2 match flags, or 0.

#### Return value

Type: `int`

An integer associated with this expression.